# $Revision: 1.8 $, $Date: 2011/07/28 10:47:34 $
Summary:	Classic RPG game with castles and magic
Summary(pl.UTF-8):	Klasyczna gra RPG z zamkami i magią
Name:		kq
Version:	0.99
Release:	1
License:	GPL
Group:		X11/Applications/Games
Source0:	http://downloads.sourceforge.net/kqlives/20091214/%{name}-%{version}.tar.gz
# Source0-md5:	0bf9614e3be3d02795fe476227ab7330
Source1:	%{name}.desktop
Source2:	%{name}.xpm
URL:		http://kqlives.sourceforge.net/
BuildRequires:	allegro-devel >= 4.2.1
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	dumb-devel
BuildRequires:	lua50
BuildRequires:	lua50-devel
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KQ is a open source CRPG, with eight playable characters, over twenty
maps, countless item, spells and enemies, all accompanied by music and
sound effects.

%description -l pl.UTF-8
KQ jest grą CRPG o otwartym kodzie źródłowym. Gracz ma do wyboru osiem
postaci i ponad dwadzieścia map. W grze pojawia się niezliczona ilość
przedmiotów, czarów, przeciwników. Wszystkiemu towarzyszy wspaniała
muzyka i efekty dźwiękowe.

%prep
%setup -q
%{__sed} 's/luac/luac50/g' -i scripts/Makefile.{am,in}

%build
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/scripts
%attr(755,root,root) %{_libdir}/%{name}/scripts/*.lob
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/data
%{_datadir}/%{name}/data/*
%dir %{_datadir}/%{name}/maps
%{_datadir}/%{name}/maps/*
%dir %{_datadir}/%{name}/music
%{_datadir}/%{name}/music/*
%lang(de) %{_datadir}/locale/de/LC_MESSAGES/%{name}.mo
%lang(es) %{_datadir}/locale/es/LC_MESSAGES/%{name}.mo
%{_mandir}/man6/%{name}.6*
%{_desktopdir}/%{name}.desktop
%{_pixmapsdir}/%{name}.xpm

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kq.spec,v $
Revision 1.8  2011/07/28 10:47:34  evil
- up rel to 1.0

Revision 1.7  2011/02/06 23:18:03  sparky
- unified preamble in %changelog

Revision 1.6  2010/05/14 23:49:13  sparky
- BR: autoconf, automake, lua50, pkgconfig

Revision 1.5  2010/05/10 10:58:22  pawelz
- unified sf url

Revision 1.4  2010/05/10 10:58:00  pawelz
- better pl description

Revision 1.3  2010/05/10 10:48:17  shadzik
- useless CFLAGS definition

Revision 1.2  2010/05/10 10:42:55  shadzik
- someone should learn something about autotools

Revision 1.1  2010/05/10 10:36:50  evil
- initial release
